import 'package:json_annotation/json_annotation.dart';

part 'money.g.dart';


@JsonSerializable()
class MoneyDTO {
  final String amount;
  final String currency;

  const MoneyDTO({
    required this.amount,
    required this.currency,
  });

  factory MoneyDTO.fromJson(Map<String, dynamic> json) => _$MoneyDTOFromJson(json);
  Map<String, dynamic> toJson() => _$MoneyDTOToJson(this);
}
